Package com.emc.d2fs.interfaces

# Interface IAuditService

All Superinterfaces:
  `ID2fsService`

public interface IAuditService extends ID2fsService
Document auditing and audit information.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyAuditMessages(Context context, String objectId, String auditName, List<String> messages)`
  Apply audit messages to document
  `boolean`
  `isEventAudited(Context context, String objectId, String auditName)`
  Check if an event is audited
  `boolean`
  `isPropertyAudited(Context context, String objectId, String auditName)`
  Check if a document property is audited

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### isPropertyAudited

    boolean isPropertyAudited(Context context, String objectId, String auditName) throws D2fsException
    Check if a document property is audited
    Parameters:
      `context` - `Context` object containing informations about client/session
      `objectId` - String value of document id
      `auditName` -
    Returns:
      true is property is audited
    Throws:
      `D2fsException`
    Since:
      4.0.1

  - ### isEventAudited

    boolean isEventAudited(Context context, String objectId, String auditName) throws D2fsException
    Check if an event is audited
    Parameters:
      `context` - `Context` object containing informations about client/session
      `objectId` - String value of document id
      `auditName` - String value of audit name
    Returns:
      true if event is audited
    Throws:
      `D2fsException`
    Since:
      4.0.1

  - ### applyAuditMessages

    boolean applyAuditMessages(Context context, String objectId, String auditName, List<String> messages) throws D2fsException
    Apply audit messages to document
    Parameters:
      `context` - `Context` object containing informations about client/session
      `objectId` - String value of document id
      `auditName` - String value of audit name
      `messages` - String list of messages
    Returns:
      true if process performs without error
    Throws:
      `D2fsException`
    Since:
      4.0.1